The "DWARFVersion" parameter is not supported

TwineCompile - Cut C++Builder compile times by up to 50x!
Geocentrix
Posts: 7
Joined: Fri Jan 10, 2020 5:35 am

The "DWARFVersion" parameter is not supported

Post by Geocentrix »

I have just updated my version of Twine Compile to v5.0.0.158 and have hit a problem compiling with the CLANG compiler included with C++Builder 10.3.2.

Twine Compile works just fine with the Borland Classic compiler (BCC32).

But with CLANG, I get the error messages:
[MSBuild Error] TCTargets103.targets: MSB4064 The "DWARFVersion" parameter is not supported by the "TCQueueFileClang" task. Verify the parameter exists on the task, and it is a settable public instance property.
[MSBuild Error] TCTargets103.targets(567, 5): MSB4063 The "TCQueueFileClang" task could not be initialized with its input parameters.
Has anyone else had this problem and know a workaround?

Thanks in advance for any help.

Andrew
jomitech
Site Admin
Posts: 2153
Joined: Wed Oct 08, 2008 12:23 am

Re: The "DWARFVersion" parameter is not supported

Post by jomitech »

DWARFVersion was a new property in 10.3 Update 3. If you're not using Update 3, you have to remove that property from the build targets file.

I have attached a copy to this reply. Extract into the TwineCompile Program Files directory.
Attachments
TCTargets103.zip
(7.11 KiB) Downloaded 1498 times
Jon
kevin.moloney
Posts: 7
Joined: Tue Mar 15, 2022 8:43 am

Re: The "DWARFVersion" parameter is not supported

Post by kevin.moloney »

We are seeing this exact issue too. Extracting that file into path does not fix issue either. We get

Code: Select all

[MSBuild Error] TCTargets103.targets: MSB4064 The "StackAlign" parameter is not supported by the "TCQueueFileClang" task. Verify the parameter exists on the task, and it is a settable public instance property.
jomitech
Site Admin
Posts: 2153
Joined: Wed Oct 08, 2008 12:23 am

Re: The "DWARFVersion" parameter is not supported

Post by jomitech »

What is the exact version of C++Builder that you're using?
Jon
kevin.moloney
Posts: 7
Joined: Tue Mar 15, 2022 8:43 am

Re: The "DWARFVersion" parameter is not supported

Post by kevin.moloney »

We are using `10.3.2`
jomitech
Site Admin
Posts: 2153
Joined: Wed Oct 08, 2008 12:23 am

Re: The "DWARFVersion" parameter is not supported

Post by jomitech »

Can you upgrade to 10.3 Update 3? That would resolve the issue.
Jon
kevin.moloney
Posts: 7
Joined: Tue Mar 15, 2022 8:43 am

Re: The "DWARFVersion" parameter is not supported

Post by kevin.moloney »

Unfortunately not, company is out of subscription at the moment so cannot upgrade. Is there no alternative solution. Documentation outlines it would work for this version.
"TwineCompile 5.x supports C++Builder 10.2 through to C++Builder 10.4.1"
jomitech
Site Admin
Posts: 2153
Joined: Wed Oct 08, 2008 12:23 am

Re: The "DWARFVersion" parameter is not supported

Post by jomitech »

TwineCompile always only supports the latest update for any version.

To fix this issue, open that targets file in Notepad and remove the references to StackAlign, and save the file.
Jon
kevin.moloney
Posts: 7
Joined: Tue Mar 15, 2022 8:43 am

Re: The "DWARFVersion" parameter is not supported

Post by kevin.moloney »

Thanks for that working through the ide now :)
However when running though our pipeline on build server after making relevant change to enable for msbuild we are seeing this error.

Code: Select all

C:\Program Files (x86)\JomiTech\TwineCompile\TCTargets103.targets(436,5): error MSB4062: The "TCQueueFileClang" task could not be loaded from the assembly C:\Program Files (x86)\JomiTech\TwineCompile\JTBuildInterface103.dll. Could not load file or assembly 'Borland.Build.Tasks.Cpp, Version=26.0.0.0, Culture=neutral, PublicKeyToken=91d62ebb5b0d1b1b' or one of its dependencies. The system cannot find the file specified. Confirm that the <UsingTask> declaration is correct, that the assembly and all its dependencies are available, and that the task contains a public class that implements Microsoft.Build.Framework.ITask
jomitech
Site Admin
Posts: 2153
Joined: Wed Oct 08, 2008 12:23 am

Re: The "DWARFVersion" parameter is not supported

Post by jomitech »

What version of TwineCompile are you using?
Jon
Post Reply